<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta content="width=device-width, initial-scale=1.0" name="viewport">
        <title>Sample Grid</title>
        <style>
            body {
                font-family: sans-serif;
                color: #333;
                margin: 0;
            }
            .grid {
                display: grid;
                height: 100vh;
                grid-template-columns: 1fr 4fr 2fr;
                grid-template-rows: 3em 2em auto 20% ;
                grid-gap: 0.5em;
            }
            .grid > * {
                background-color: #eee;
                border: 1px solid #aaa;
                border-radius: 0.25em;
                text-align: center;
                font-size: 1.5rem;
            }
            .grid :last-child {
                grid-column: span 2;
            }
            .grid :nth-child(4) {
                grid-column: 1 / 4
            }
        </style>
        <script>
            window.addEventListener('load', ev => {
                const grid = document.querySelector('.grid');
                for (let k = 1; k <= 9; ++ k) {
                    const div = document.createElement('div');
                    div.appendChild(document.createTextNode(k));
                    grid.appendChild(div);
                }
            });
        </script>
    </head>
    <body>
        <div class="grid"></div>
    </body>
</html>
